%define snap	20140111
%define	rel	3
Summary:	Common software API for various radio hardware
Name:		gr-osmosdr
Version:	0.1.1
Release:	0.%{snap}.%{rel}
License:	GPL v3+
Group:		Applications/Engineering
URL:		http://sdr.osmocom.org/trac/wiki/GrOsmoSDR
Source0:	%{name}-%{snap}.tar.bz2
# Source0-md5:	15fbc7e472ee40669c083c1715c7bc58
BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	gnuradio-devel >= 3.7
BuildRequires:	graphviz
BuildRequires:	librtlsdr-devel
BuildRequires:	python-devel
BuildRequires:	swig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Primarily gr-osmosdr supports the OsmoSDR hardware, but it also offers
a wrapper functionality for FunCube Dongle, Ettus UHD and rtl-sdr
radios. By using gr-osmosdr source you can take advantage of a common
software api in your application(s) independent of the underlying
radio hardware.

%package devel
Summary:	Development files for gr-osmosdr
Group:		Applications/Engineering
Requires:	%{name} = %{version}-%{release}

%description devel
Development files for gr-osmosdr.

%prep
%setup -q -n %{name}

%build
install -d build
cd build
%cmake \
	-DENABLE_DOXYGEN=on \
	-DGR_PKG_DOC_DIR=%{_docdir}/%{name} \
	..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf doc-inst
mv $RPM_BUILD_ROOT%{_docdir}/%{name} doc-inst

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING doc-inst/*
%attr(755,root,root) %{_bindir}/osmocom_fft
%attr(755,root,root) %{_bindir}/osmocom_siggen
%attr(755,root,root) %{_bindir}/osmocom_siggen_nogui
%attr(755,root,root) %{_bindir}/osmocom_spectrum_sense
%attr(755,root,root) %{_libdir}/libgnuradio-osmosdr-*.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnuradio-osmosdr-*.so.0
%dir %{py_sitedir}/osmosdr
%attr(755,root,root) %{py_sitedir}/osmosdr/*.so
%{py_sitedir}/osmosdr/*.py*
%{_datadir}/gnuradio/grc/blocks/osmosdr_sink.xml
%{_datadir}/gnuradio/grc/blocks/osmosdr_source.xml
%{_datadir}/gnuradio/grc/blocks/rtlsdr_source.xml

%files devel
%defattr(644,root,root,755)
%{_includedir}/osmosdr
%attr(755,root,root) %{_libdir}/libgnuradio-osmosdr.so
%attr(755,root,root) %{_libdir}/libgnuradio-osmosdr-*.so
%{_pkgconfigdir}/gnuradio-osmosdr.pc
%changelog
* Sun Oct 26 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gr-osmosdr.git;a=log;h=auto/th/gr-osmosdr-0.1.1-0.20140111.3

* Sat Oct 25 2014 Jan Rękorajski <baggins@pld-linux.org> 2b30afd
- rel 3

* Sat Mar 01 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d6cfa77
- BR: rtl-sdr-devel -> librtlsdr-devel

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> b8bcc29
- rel 2
- rebuild with boost 1.55.0

* Sat Jan 11 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> e5d3419
- updated files

* Fri Jan 10 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> e5cb190
- initial; unfinished

